> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Voter ID

> Use this API to verify whether the voter ID is valid by passing the EPIC number.

View the [test data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#voter-id) and use the information to trigger the validations. The test data can be used only in the sandbox environment.



## OpenAPI

````yaml post /voter-id
openapi: 3.0.0
info:
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  title: Cashfree Verification API's.
  version: '2023-12-18'
  description: >-
    Cashfree's Verification APIs provide different types of verification to our
    merchants.
servers:
  - description: Sandbox Server
    url: https://sandbox.cashfree.com/verification
  - description: Production Server
    url: https://api.cashfree.com/verification
security: []
tags:
  - name: Aadhaar
    description: Operations related to Aadhaar verification.
  - name: BAV V2
    description: Operations related to Bank account verification v2.
  - name: PAN
    description: Operations related to PAN verification.
  - name: Digilocker
    description: Operations related to Digilocker verification.
  - name: E-sign
    description: Operations related to E-sign verification.
  - name: Reverse Penny Drop
    description: Operations related to Reverse Penny Drop verification.
  - name: UPI Penny Drop
    description: Operations related to UPI Penny Drop verification.
  - name: Mobile Penny Drop
    description: Operations related to Mobile Penny Drop verification.
  - name: IP
    description: Operation related to IP verification.
  - name: UPI
    description: Operations related to UPI verification.
  - name: Passport
    description: Operation related to Passport verification.
  - name: CIN
    description: Operation related to CIN verification.
  - name: Name Match
    description: Operation related to Name Match verification.
  - name: PAN to GSTIN
    description: Operation related to PAN to GSTIN.
  - name: Face Match
    description: Operation related to Face Match verification.
  - name: Voter ID
    description: Operation related to Voter ID verification.
  - name: Reverse Geocoding
    description: Operation related to Reverse Geocoding.
  - name: Vehicle RC
    description: Operation related to Vehicle RC verification.
  - name: Driving License
    description: Operation related to Driving License verification.
  - name: GSTIN
    description: Operation related to GSTIN verification.
  - name: Account Aggregator
    description: Operations related to Account aggregator.
  - name: OTPLess
    description: Operations related to OTPLess Verification.
  - name: 1-Click
    description: Operations related to 1-Click.
  - name: Smart OCR
    description: Operations related to Smart OCR.
  - name: Geocoding
    description: Operations related to Geocoding.
  - name: Udyam
    description: Operation related to Udyam verification.
  - name: PAN to Udyam
    description: Operation related to PAN to Udyam.
paths:
  /voter-id:
    post:
      tags:
        - Voter ID
      summary: Verify Voter ID
      description: >-
        Use this API to verify whether the voter ID is valid by passing the EPIC
        number.


        View the [test
        data](https://www.cashfree.com/docs/api-reference/vrs/data-to-test-integration#voter-id)
        and use the information to trigger the validations. The test data can be
        used only in the sandbox environment.
      operationId: VrsVoterIdVerification
      parameters:
        - $ref: '#/components/parameters/x_cf_signature'
      requestBody:
        $ref: '#/components/requestBodies/VoterIdRequest'
      responses:
        '200':
          $ref: '#/components/responses/VoterIdResponse'
        '400':
          $ref: '#/components/responses/Response400VoterId'
        '401':
          $ref: '#/components/responses/Response401'
        '403':
          $ref: '#/components/responses/Response403'
        '409':
          $ref: '#/components/responses/Response409DuplicateId'
        '422':
          $ref: '#/components/responses/Response422'
        '429':
          $ref: '#/components/responses/Response429'
        '500':
          $ref: '#/components/responses/Response500V2'
        '502':
          $ref: '#/components/responses/Response502V2'
      security:
        - XClientID: []
          XClientSecret: []
components:
  parameters:
    x_cf_signature:
      description: >-
        Send the signature if two-factor authentication is selected as Public
        Key.  [More
        details](https://www.cashfree.com/docs/api-reference/vrs/getting-started#2fa-api-signature-generation).
      name: x-cf-signature
      in: header
      required: false
      schema:
        type: string
      example: ''
  requestBodies:
    VoterIdRequest:
      description: Find the request parameters to fetch voter ID details.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VoterIdRequestSchema'
  responses:
    VoterIdResponse:
      description: Success response for retreiving voter ID information.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VoterIdResponseSchema'
          examples:
            Valid voter ID:
              value:
                reference_id: 1358
                verification_id: testverificationid
                status: VALID
                epic_number: UAI4574761
                name: HARSHIT PRAJAPATI
                name_in_regional_lang: हर्षित
                age: '23'
                relation_type: FTHR
                relation_name: RAJ PRAJAPATI
                relation_name_in_regional_lang: राज
                father_name: RAJ PRAJAPATI
                dob: '2000-12-07'
                gender: Male
                address: GOVT JUNIOR COLLEGE SIRWAR
                photo: PHOTO_LINK.jpeg
                split_address:
                  district:
                    - INDORE
                  state:
                    - - Madhya Pradesh
                  city:
                    - SANER
                  pincode: '560034'
                  country:
                    - IN
                    - IND
                    - INDIA
                  address_line: GOVT JUNIOR COLLEGE SIRWAR
                state: Madhya Pradesh
                assembly_constituency_number: '211'
                assembly_constituency: SANER
                parliamentary_constituency_number: '25'
                parliamentary_constituency: INDORE
                part_number: '27'
                part_name: SIRWAR
                serial_number: '713'
                polling_station: GOVT JUNIOR COLLEGE SIRWAR
            Invalid voter ID:
              value:
                reference_id: 1358
                verification_id: testverificationid
                status: INVALID
                epic_number: UAI4574762
                name: null
                name_in_regional_lang: null
                age: null
                relation_type: null
                relation_name: null
                relation_name_in_regional_lang: null
                father_name: null
                dob: null
                gender: null
                address: null
                photo: null
                split_address:
                  district: null
                  state: null
                  city: null
                  pincode: null
                  country: null
                  address_line: null
                state: null
                assembly_constituency_number: null
                assembly_constituency: null
                parliamentary_constituency_number: null
                parliamentary_constituency: null
                part_number: null
                part_name: null
                serial_number: null
                polling_station: null
    Response400VoterId:
      description: Validation errors for Verify Voter ID API.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Verification ID missing:
              $ref: '#/components/examples/VerificationIdMissing'
            Verification ID has special characters:
              $ref: '#/components/examples/VerificationIdWithSpecialCharacter'
            Client ID/Client Secret Missing:
              $ref: '#/components/examples/XClientIdMissing'
            Using-Test-Credentials-in-Prod:
              $ref: '#/components/examples/UsingTestCredentialsInProd'
    Response401:
      description: Invalid client ID and client secret combination.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Invalid client ID and client secret combination:
              value:
                type: authentication_error
                code: authentication_failed
                message: Invalid clientId and clientSecret combination
    Response403:
      description: Authentication error (IP not whitelisted).
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            IP not whitelisted:
              value:
                type: authentication_error
                code: ip_validation_failed
                message: >-
                  IP not whitelisted your current ip is 106.51.91.104.For IP
                  whitelisting assistance, visit our guide at
                  https://www.cashfree.com/docs/secure-id/get-started/integration/ip-whitelisting-verification
            x-cf-signature header missing:
              value:
                type: validation_error
                code: authentication_failed
                message: x-cf-signature missing in the request header
    Response409DuplicateId:
      description: Conflict error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Conflict Error:
              value:
                type: validation_error
                code: verification_id_already_exists
                message: verification ID already exists
    Response422:
      description: >-
        Validation error because of insufficient balance to process this
        request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Insufficient balance:
              value:
                type: validation_error
                code: insufficient_balance
                message: Insufficient balance to process this request
    Response429:
      description: Rate limit exceed error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Rate limit error per operation:
              value:
                type: rate_limit_error
                code: too_many_requests_per_operation
                message: Too many requests for this operation, rate limit reached
            Rate limit error per IP:
              value:
                type: rate_limit_error
                code: too_many_requests_per_ip
                message: Too many requests from the IP, rate limit reached
    Response500V2:
      description: Internal error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Internal Server Error:
              value:
                type: internal_error
                code: verification_failed
                message: something went wrong
    Response502V2:
      description: Gateway error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseSchema'
          examples:
            Bad Gateway:
              value:
                type: internal_error
                code: verification_failed
                message: verification attempt failed
  schemas:
    VoterIdRequestSchema:
      type: object
      example:
        verification_id: test123
        epic_number: UAI4574761
        name: John Doe
      required:
        - verification_id
        - epic_number
      properties:
        verification_id:
          type: string
          description: >-
            It is the unique ID you create to identify the verification request.
            The maximum character limit is 50. Alphanumeric, period (.), hyphen
            (-), and underscore ( _ ) are allowed.
          example: test123
        epic_number:
          type: string
          description: It is the unique identification number assigned to each voter ID.
          default: UAI4574761
          example: UAI4574761
        name:
          type: string
          description: It is the name of the voter ID card holder.
          default: John Doe
          example: John Doe
          maxLength: 50
    VoterIdResponseSchema:
      type: object
      example:
        value:
          reference_id: 1358
          verification_id: testverificationid
          status: VALID
          epic_number: UAI4574761
          name: HARSHIT PRAJAPATI
          name_in_regional_lang: हर्षित
          age: '23'
          relation_type: FTHR
          relation_name: RAJ PRAJAPATI
          relation_name_in_regional_lang: राज
          father_name: RAJ PRAJAPATI
          dob: '2000-12-07'
          gender: Male
          address: GOVT JUNIOR COLLEGE SIRWAR
          photo: PHOTO_LINK.jpeg
          split_address:
            district:
              - INDORE
            state:
              - Madhya Pradesh
            city:
              - SANER
            pincode: '560034'
            country:
              - IN
              - IND
              - INDIA
            address_line: GOVT JUNIOR COLLEGE SIRWAR
          state: Madhya Pradesh
          assembly_constituency_number: '211'
          assembly_constituency: SANER
          parliamentary_constituency_number: '25'
          parliamentary_constituency: INDORE
          part_number: '27'
          part_name: SIRWAR
          serial_number: '713'
          polling_station: GOVT JUNIOR COLLEGE SIRWAR
      properties:
        reference_id:
          type: integer
          description: >-
            It displays the unique ID created by Cashfree Payments for reference
            purposes.

            format: `int64`
          example: 1358
        verification_id:
          type: string
          description: >-
            It displays the unique ID you created to identify the verification
            request.
          example: testverificationid
        status:
          type: string
          description: |-
            It displays the status of the API request.
            Possible values are
            - `VALID`: The provided Epic Number is valid.
            - `INVALID`: The provided Epic Number is invalid.
          example: VALID
        name:
          type: string
          description: >-
            It displays the name of the individual as present in the voter ID
            card.
          example: SUSHMITHA H
        name_in_regional_lang:
          type: string
          description: >-
            It displays the name of the individual in the individual regional
            language as present in the voter ID card.
          example: हर्षित
        age:
          type: string
          description: >-
            It displays the age of the voter ID holder as present in the voter
            ID card.
          example: '25'
        relation_type:
          type: string
          description: >-
            It displays the type of the relationship with the parent/guardian as
            present in the voter ID card.
          example: FTHR
        relation_name:
          type: string
          description: >-
            It displays the name of the parent/guardian as present in the voter
            ID card.
          example: SUNILAKUMAR
        relation_name_in_regional_lang:
          type: string
          description: >-
            It displays the name of the parent/guardian in the individual
            regional language as present in the voter ID card.
          example: राज
        father_name:
          type: string
          description: >-
            It displays the father name of the individual as present in the
            voter ID card.
          example: SUNILAKUMAR
        dob:
          type: string
          nullable: true
          description: >
            It displays the date of birth of the individual as present in the
            voter ID card.

            **Note:**  This field can return `null`.
          example: ''
        gender:
          type: string
          description: >-
            It displays the gender of the individual as present in the voter ID
            card.
          example: Female
        address:
          type: string
          description: >-
            It displays the address information of the individual as present in
            the voter ID card.
          example: GOVT JUNIOR COLLEGE SIRWAR
        photo:
          type: string
          description: >-
            It is a pre-signed url of voter id holder's photo with expiry of 24
            hrs.
        split_address:
          $ref: '#/components/schemas/SplitAddressSchema'
        epic_number:
          type: string
          description: >-
            It displays the EPIC number of the individual as present in the
            voter ID card.
          example: XXX0000000
        state:
          type: string
          description: It displays the name of the state as present in the voter ID card.
          example: Karnataka
        assembly_constituency_number:
          type: string
          description: >-
            It displays the number associated with the assembly constituency as
            present in the voter ID card.
          example: '55'
        assembly_constituency:
          type: string
          description: >-
            It displays the name of the assembly constituency as present in the
            voter ID card.
          example: MANVI
        parliamentary_constituency_number:
          type: string
          description: >-
            It displays the number associated with the parliamentary
            constituency as present in the voter ID card.
          example: '6'
        parliamentary_constituency:
          type: string
          description: >-
            It displays the name of the parliamentary constituency as present in
            the voter ID card.
          example: Raichur
        part_number:
          type: string
          description: It displays the part number in the electoral roll.
          example: '29'
        part_name:
          type: string
          description: It displays the part name in the electoral roll.
          example: GOVERMENT JUNIOR COLLEGE 2nd Room (South Wing ) sirwar
        serial_number:
          type: string
          description: It displays the serial number as present in the voter ID card.
          example: '892'
        polling_station:
          type: string
          description: >-
            It displays the place where the individual cast votes during
            elections.
          example: GOVT JUNIOR COLLEGE SIRWAR
    ErrorResponseSchema:
      type: object
      properties:
        code:
          type: string
          example: x-client-id_missing
        error:
          type: object
          example:
            ref_id: 102
        message:
          type: string
          example: x-client-id is missing in the request.
          description: It displays the outcome of the error.
        type:
          type: string
          example: validation_error
          description: It displays the type of error.
    SplitAddressSchema:
      description: >-
        It contains the address information of the individual as present in the
        voter ID card.
      type: object
      example:
        value:
          district:
            - RAICHUR
          state:
            - Karnataka
          city:
            - Manvi
          pincode: '560034'
          country:
            - IN
            - IND
            - INDIA
          address_line: GOVT JUNIOR COLLEGE SIRWAR
      properties:
        district:
          type: array
          items:
            type: string
          description: >-
            It displays the name of the district as present in the address
            information of the voter ID card.
          example:
            - RAICHUR
        state:
          type: array
          items:
            type: array
            items:
              type: string
          description: >-
            It displays the name of the state as present in the address
            information of the voter ID card.
          example:
            - - Karnataka
        city:
          type: array
          items:
            type: string
          description: It displays the name of the city as present in the voter ID card.
          example:
            - Manvi
        pincode:
          type: string
          description: >-
            It displays the PIN code information as present in the voter ID
            card.
          example: '560034'
        country:
          type: array
          items:
            type: string
          description: It displays the name of the country as present in the voter ID card.
          example:
            - IN
            - IND
            - INDIA
        address_line:
          type: string
          description: It displays the address information as present in the voter ID card.
          example: GOVT JUNIOR COLLEGE SIRWAR
  examples:
    VerificationIdMissing:
      value:
        type: validation_error
        code: verification_id_missing
        message: verification_id is missing in the request.
    VerificationIdWithSpecialCharacter:
      value:
        type: validation_error
        code: verification_id_value_invalid
        message: >-
          verification_id can include only alphanum, dot, hyphen and
          underscores.
    XClientIdMissing:
      value:
        type: validation_error
        code: x-client-id_missing
        message: x-client-id is missing in the request.
    UsingTestCredentialsInProd:
      value:
        type: validation_error
        code: x-client-secret_value_invalid
        message: Client secret belongs to test environment
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Your unique client identifier issued by Cashfree. You can find this in
        your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        The secret key associated with your client ID. Use this to authenticate
        your API requests. You can find this in your [Merchant
        Dashboard](https://merchant.cashfree.com/verificationsuite/developers/api-keys).

````